﻿Public Class Form1

#Region "GetAppPath"
    Public Function GetAppPath() As String
        Dim fi As New System.IO.FileInfo( _
          System.Reflection.Assembly.GetExecutingAssembly().Location)
        Return fi.DirectoryName
    End Function
#End Region


    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        'このサンプルは、帳票などの作成に有効なLock要素の作成を行います。
        'Lock要素とは一度作画すると、編集や削除や選択が出来ない要素です。


        '用紙サイズをA4 縦に設定する 0～4まで(リファレンス参照)
        Dim bRet As Boolean = CoMain1.SET_PAPER(1)
        bRet = CoMain1.SET_PAPER_HOUKOU(1)


        '帳票をLockエンティティで作画する
        bRet = Draw_Page()


    End Sub

    Private Function Draw_Page() As Boolean
        '用紙の中心部が0,0の原点になる

        '外枠
        Dim X As Single = -95
        Dim Y As Single = 138.5
        Dim W As Single = 190
        Dim H As Single = 277

        Dim iRet As Integer = CoMain1.putLockRECT(X, Y, W, H, 0, 0, 0, 1.3F, 0, 0, 0, 1, 0)

        'タイトル文字列-----------------
        '挿入点
        X = 0
        Y = 123.5
        Dim sText As String = "出張旅費清算書"
        iRet = CoMain1.putLockTEXT(X, Y, sText, 10, "ＭＳゴシック", 0, 0, 0, 5, 1, 0)
        '-------------------------------


        '罫線---------------------------
        '縦
        iRet = CoMain1.putLockLINE(-85, -50, -85, 100, 51, 173, 204, 0, 0)
        iRet = CoMain1.putLockLINE(55, -50, 55, 100, 51, 173, 204, 0, 2)
        iRet = CoMain1.putLockLINE(85, -50, 85, 100, 51, 173, 204, 0, 0)
        '-------------------------------

        '横線---------------------------
        Dim YP As Single = -30

        For i = 0 To 13

            iRet = CoMain1.putLockLINE(-85, YP, 85, YP, 51, 173, 204, 0, 0)

            YP += 10
        Next

        iRet = CoMain1.putLockLINE(-85, -50, 85, -50, 51, 173, 204, 0, 0)
        '-------------------------------

        '会社名-------------------------

        iRet = CoMain1.putLockTEXT(-85, -88.5, "ユニバーサルメディア", 5, "ＭＳゴシック", 0, 0, 0, 1, 1, 0)
        iRet = CoMain1.putLockTEXT(-85, -95.5, "ソフトウェア事業部", 4, "ＭＳゴシック", 0, 0, 0, 1, 0.8, 0)
        '-------------------------------

        'ロゴの挿入---------------------
        Dim fName As String = GetAppPath() & "\logo.jpg"
        'BitMapオブジェクトの作成
        Dim BufBmp = New Bitmap(fName)

        '横60mmで挿入するので比率の計算をする。
        Dim HIRITU As Single
        Dim IMG_WIDTH As Single
        Dim IMG_HEIGHT As Single

        HIRITU = BufBmp.Height / BufBmp.Width
        IMG_WIDTH = 60 '60mm
        IMG_HEIGHT = IMG_WIDTH * HIRITU

        iRet = CoMain1.putLockIMAGE(BufBmp, -85, -114.5, IMG_WIDTH, IMG_HEIGHT)

        BufBmp.Dispose()

        '-------------------------------

        'ハンコ用の枠作成---------------
        iRet = CoMain1.putLockRECT(55, -88.5, 30, 30, 0, 0, 0, 0, 0, 0, 0, 1, 0)
        '-------------------------------


        '合計の作画----
        iRet = CoMain1.putLockTEXT(50, -40, "合計", 5, "ＭＳゴシック", 0, 0, 0, 6, 1, 0)
        '--------------

        Return True

    End Function


    Private Sub k8_KeyPress(ByVal sender As System.Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles kk1.KeyPress
        '数値以外は入力できなくする
        Dim intKey As Integer = Asc(e.KeyChar)

        '数値の範囲外
        If intKey < 48 Or intKey > 58 Then
            If intKey <> 8 Then
                If intKey <> 13 Then
                    e.Handled = True
                End If
            End If
        End If


    End Sub

    Private Sub k7_KeyPress(ByVal sender As System.Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles kk2.KeyPress
        '数値以外は入力できなくする
        Dim intKey As Integer = Asc(e.KeyChar)

        '数値の範囲外
        If intKey < 48 Or intKey > 58 Then
            If intKey <> 8 Then
                If intKey <> 13 Then
                    e.Handled = True
                End If
            End If
        End If
    End Sub

    Private Sub k6_KeyPress(ByVal sender As System.Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles kk3.KeyPress
        '数値以外は入力できなくする
        Dim intKey As Integer = Asc(e.KeyChar)

        '数値の範囲外
        If intKey < 48 Or intKey > 58 Then
            If intKey <> 8 Then
                If intKey <> 13 Then
                    e.Handled = True
                End If
            End If
        End If
    End Sub

    Private Sub k5_KeyPress(ByVal sender As System.Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles kk4.KeyPress
        '数値以外は入力できなくする
        Dim intKey As Integer = Asc(e.KeyChar)

        '数値の範囲外
        If intKey < 48 Or intKey > 58 Then
            If intKey <> 8 Then
                If intKey <> 13 Then
                    e.Handled = True
                End If
            End If
        End If
    End Sub

    Private Sub k4_KeyPress(ByVal sender As System.Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles kk5.KeyPress
        '数値以外は入力できなくする
        Dim intKey As Integer = Asc(e.KeyChar)

        '数値の範囲外
        If intKey < 48 Or intKey > 58 Then
            If intKey <> 8 Then
                If intKey <> 13 Then
                    e.Handled = True
                End If
            End If
        End If
    End Sub

    Private Sub k3_KeyPress(ByVal sender As System.Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles kk6.KeyPress
        '数値以外は入力できなくする
        Dim intKey As Integer = Asc(e.KeyChar)

        '数値の範囲外
        If intKey < 48 Or intKey > 58 Then
            If intKey <> 8 Then
                If intKey <> 13 Then
                    e.Handled = True
                End If
            End If
        End If
    End Sub

    Private Sub k2_KeyPress(ByVal sender As System.Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles kk7.KeyPress
        '数値以外は入力できなくする
        Dim intKey As Integer = Asc(e.KeyChar)

        '数値の範囲外
        If intKey < 48 Or intKey > 58 Then
            If intKey <> 8 Then
                If intKey <> 13 Then
                    e.Handled = True
                End If
            End If
        End If
    End Sub

    Private Sub k1_KeyPress(ByVal sender As System.Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles kk8.KeyPress
        '数値以外は入力できなくする
        Dim intKey As Integer = Asc(e.KeyChar)

        '数値の範囲外
        If intKey < 48 Or intKey > 58 Then
            If intKey <> 8 Then
                If intKey <> 13 Then
                    e.Handled = True
                End If
            End If
        End If
    End Sub


    '要素番号保存用
    Dim ID(5) As Integer
    '一度作成したかどうかのフラグ
    Dim INS As Boolean = False

    Private Sub Button6_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button6.Click

        '承認印をLock要素として作画します。
        '作画するときに戻り値として帰ってくる要素ＩＤを保存します。
        '要素ＩＤは重複しないそれぞれの要素に割り振られた番号です
        '再度挿入する際にこのID番号を利用して先に挿入していた要素を削除します。

        Dim bRet As Boolean
        If INS Then
            '要素を削除する
            For i = 0 To ID.Length - 1
                bRet = CoMain1.ERACE_LockID(ID(i))
            Next
        End If




        ID(0) = CoMain1.putLockELLIPSE(57, -90.5, 26, 26, 255, 0, 0, 1, 0, 0, 0, 1, 0)
        ID(1) = CoMain1.putLockLINE(57.350889, -106.5, 82.649111, -106.5, 255, 0, 0, 1, 0)
        ID(2) = CoMain1.putLockLINE(57.350889, -100.5, 82.649111, -100.5, 255, 0, 0, 1, 0)

        '日付
        Dim ssTr As String = Date.Now.ToString("yyyy年MM月dd日")
        ID(3) = CoMain1.putLockTEXT(70, -103.5, ssTr, 4, "ＭＳ ゴシック", 255, 0, 0, 5, 0.8, 0)

        ID(4) = CoMain1.putLockTEXT(70, -96.5, "総務部", 5, "ＭＳ ゴシック", 255, 0, 0, 5, 0.8, 0)

        If TX1.Text.Trim = "" Then
            ssTr = "名なしさん"
        Else
            ssTr = TX1.Text.Trim
        End If
        ID(5) = CoMain1.putLockTEXT(70, -110.5, ssTr, 5, "ＭＳ ゴシック", 255, 0, 0, 5, 0.8, 0)

        INS = True

    End Sub

    Dim kID(7) As Integer
    Dim kkID(7) As Integer
    Dim GOUKEI_ID As Integer
    Dim kk_b As Boolean = False

    Private Sub Button5_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button5.Click
        '表の中に文字列を入力する
        '書いたものを編集できるように通常要素として作画


        Dim bRet As Boolean
        If kk_b Then
            '要素を削除する
            For i = 0 To kkID.Length - 1
                If kkID(i) <> -99 Then
                    bRet = CoMain1.ERACE_ID(kkID(i), False)
                End If
            Next
            '要素を削除する
            For i = 0 To kID.Length - 1
                If kID(i) <> -99 Then
                    bRet = CoMain1.ERACE_ID(kID(i), False)
                End If
            Next
            bRet = CoMain1.ERACE_ID(GOUKEI_ID, False)
        End If


        '項目
        If tt1.Text.Trim = "" Then
            kkID(0) = -99
        Else
            kkID(0) = CoMain1.putTEXT(-15, 95, tt1.Text.Trim, 5, "ＭＳ ゴシック", 0, 0, 0, 5, 1, 0)
        End If

        If tt2.Text.Trim = "" Then
            kkID(1) = -99
        Else
            kkID(1) = CoMain1.putTEXT(-15, 85, tt2.Text.Trim, 5, "ＭＳ ゴシック", 0, 0, 0, 5, 1, 0)
        End If

        If tt3.Text.Trim = "" Then
            kkID(2) = -99
        Else
            kkID(2) = CoMain1.putTEXT(-15, 75, tt3.Text.Trim, 5, "ＭＳ ゴシック", 0, 0, 0, 5, 1, 0)
        End If

        If tt4.Text.Trim = "" Then
            kkID(3) = -99
        Else
            kkID(3) = CoMain1.putTEXT(-15, 65, tt4.Text.Trim, 5, "ＭＳ ゴシック", 0, 0, 0, 5, 1, 0)
        End If

        If tt5.Text.Trim = "" Then
            kkID(4) = -99
        Else
            kkID(4) = CoMain1.putTEXT(-15, 55, tt5.Text.Trim, 5, "ＭＳ ゴシック", 0, 0, 0, 5, 1, 0)
        End If

        If tt6.Text.Trim = "" Then
            kkID(5) = -99
        Else
            kkID(5) = CoMain1.putTEXT(-15, 45, tt6.Text.Trim, 5, "ＭＳ ゴシック", 0, 0, 0, 5, 1, 0)
        End If

        If tt7.Text.Trim = "" Then
            kkID(6) = -99
        Else
            kkID(6) = CoMain1.putTEXT(-15, 35, tt7.Text.Trim, 5, "ＭＳ ゴシック", 0, 0, 0, 5, 1, 0)
        End If

        If tt8.Text.Trim = "" Then
            kkID(7) = -99
        Else
            kkID(7) = CoMain1.putTEXT(-15, 25, tt7.Text.Trim, 5, "ＭＳ ゴシック", 0, 0, 0, 5, 1, 0)
        End If


        '金額
        Dim goukei As Integer = 0

        If kk1.Text.Trim = "" Then
            kID(0) = -99
        Else
            kID(0) = CoMain1.putTEXT(83, 95, kk1.Text, 5, "ＭＳ ゴシック", 0, 0, 0, 6, 1, 0)
            Try
                goukei += CInt(kk1.Text)
            Catch ex As Exception
                goukei += 0
            End Try

        End If

        If kk2.Text.Trim = "" Then
            kID(1) = -99
        Else
            kID(1) = CoMain1.putTEXT(83, 85, kk2.Text, 5, "ＭＳ ゴシック", 0, 0, 0, 6, 1, 0)
            Try
                goukei += CInt(kk2.Text)
            Catch ex As Exception
                goukei += 0
            End Try

        End If

        If kk3.Text.Trim = "" Then
            kID(2) = -99
        Else
            kID(2) = CoMain1.putTEXT(83, 75, kk3.Text, 5, "ＭＳ ゴシック", 0, 0, 0, 6, 1, 0)
            Try
                goukei += CInt(kk3.Text)
            Catch ex As Exception
                goukei += 0
            End Try

        End If

        If kk4.Text.Trim = "" Then
            kID(3) = -99
        Else
            kID(3) = CoMain1.putTEXT(83, 65, kk4.Text, 5, "ＭＳ ゴシック", 0, 0, 0, 6, 1, 0)
            Try
                goukei += CInt(kk4.Text)
            Catch ex As Exception
                goukei += 0
            End Try

        End If

        If kk5.Text.Trim = "" Then
            kID(4) = -99
        Else
            kID(4) = CoMain1.putTEXT(83, 55, kk5.Text, 5, "ＭＳ ゴシック", 0, 0, 0, 6, 1, 0)
            Try
                goukei += CInt(kk5.Text)
            Catch ex As Exception
                goukei += 0
            End Try

        End If

        If kk6.Text.Trim = "" Then
            kID(5) = -99
        Else
            kID(5) = CoMain1.putTEXT(83, 45, kk6.Text, 5, "ＭＳ ゴシック", 0, 0, 0, 6, 1, 0)
            Try
                goukei += CInt(kk6.Text)
            Catch ex As Exception
                goukei += 0
            End Try

        End If

        If kk7.Text.Trim = "" Then
            kID(6) = -99
        Else
            kID(6) = CoMain1.putTEXT(83, 35, kk7.Text, 5, "ＭＳ ゴシック", 0, 0, 0, 6, 1, 0)
            Try
                goukei += CInt(kk7.Text)
            Catch ex As Exception
                goukei += 0
            End Try

        End If

        If kk8.Text.Trim = "" Then
            kID(7) = -99
        Else
            kID(7) = CoMain1.putTEXT(83, 25, kk8.Text, 5, "ＭＳ ゴシック", 0, 0, 0, 6, 1, 0)
            Try
                goukei += CInt(kk8.Text)
            Catch ex As Exception
                goukei += 0
            End Try

        End If


        '合計の作画
        GOUKEI_ID = CoMain1.putTEXT(83, -40, goukei.ToString("c"), 5, "ＭＳ ゴシック", 0, 0, 0, 6, 1, 0)

        kk_b = True

    End Sub

    
    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        CoMain1.COMMAND_LINE()

    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        CoMain1.COMMAND_ELLIPSE()

    End Sub

    Private Sub Button4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button4.Click
        CoMain1.COMMAND_TEXT()

    End Sub

    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        CoMain1.COMMAND_DEL()

    End Sub

    Private Sub Button7_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button7.Click
        CoMain1.COMMAND_F_LINE()

    End Sub

   
End Class
